> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corbado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send low-level Connect events



## OpenAPI

````yaml /api-reference/openapi/connect-frontend.yaml post /v2/connect/eventsLow
openapi: 3.1.1
info:
  version: 2.0.4
  title: Corbado Frontend API
  description: >-
    Overview of all Corbado Frontend API calls to implement passwordless
    authentication.
  contact:
    name: Corbado team
    email: support@corbado.com
    url: https://www.corbado.com
servers:
  - url: https://{projectId}.frontendapi.cloud.corbado.io
    variables:
      projectId:
        description: Your Corbado project ID
        default: pro-000000
security:
  - bearerAuth: []
  - projectID: []
tags:
  - name: CorbadoConnect
    description: All API calls that are related to a connect process
    x-group: Passkey flows
  - name: WellKnown
    description: All API calls that are related to WellKnown assets
    x-group: App association and keys
  - name: Auth
    description: All API calls that are related to an authentication process.
  - name: Configs
    description: All API calls to manage configurations
  - name: Users
    description: All API calls to manage users
  - name: OIDC
    description: All API calls that are related to OpenID Connect
paths:
  /v2/connect/eventsLow:
    post:
      tags:
        - CorbadoConnect
      summary: Send low-level Connect events
      operationId: ConnectEventLowCreate
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/connectEventLowCreateReq'
      responses:
        '204':
          description: tbd
      security:
        - connectProcess: []
components:
  schemas:
    connectEventLowCreateReq:
      type: object
      required:
        - items
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/connectEventLow'
        meta:
          $ref: '#/components/schemas/connectEventLowMeta'
    connectEventLow:
      type: object
      required:
        - eventType
        - timestamp
      properties:
        eventType:
          type: string
        timestamp:
          type: integer
          format: int64
        durationMs:
          type: integer
          format: int64
    connectEventLowMeta:
      type: object
      required:
        - sent
      properties:
        sent:
          type: integer
          format: int64
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        After a user logs in successfully, a session is created and a JWT token
        is returned.

        This token represents the user's authenticated session.

        It must be included in the `Authorization` header as a Bearer token for
        all protected endpoints:


        `Authorization: Bearer <your-token>`


        The server will validate this token to authorize access.
    projectID:
      type: apiKey
      in: header
      name: X-Corbado-ProjectID
      description: |
        Identifies your project context for Corbado.
        Include this in the request headers as:

        `X-Corbado-ProjectID: <your-project-id>`
    connectProcess:
      type: apiKey
      in: header
      name: X-Corbado-Process-ID
      description: >-
        The process token returned by the corresponding Connect initialization
        endpoint. SDKs manage it automatically.

````